# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'omniauth/howtodo/version'

Gem::Specification.new do |spec|
  spec.name          = "omniauth-howtodo"
  spec.version       = Omniauth::Howtodo::VERSION
  spec.authors       = ["arkxu"]
  spec.email         = ["fangzhou@arkxu.com"]
  spec.summary       = %q{HowToDo.me OAuth 2 Strategy for OmniAuth}
  spec.description   = %q{The omniauth plugin to support authentication from howtodo.me}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'omniauth-oauth2', '~> 1.1'

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
end
